﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowPreservation
{
    /// <summary>
    /// Singly linked list node
    /// </summary>
    class StackTraceNode
    {
        /// <summary>
        /// Node constructor
        /// </summary>
        /// <param name="value">Stack trace segment</param>
        /// <param name="next">Next list node</param>
        public StackTraceNode(StackTraceSegment value, StackTraceNode next)
        {
            this.Value = value;
            this.Next = next;
        }

        /// <summary>
        /// Stack trace segment
        /// </summary>
        public readonly StackTraceSegment Value;

        /// <summary>
        /// Next list node
        /// </summary>
        public readonly StackTraceNode Next;
    }
}
